
package ar.charlycimino.ejemplos;

import java.util.Scanner;

/**
 *
 * @author Charly Cimino
 * Aprendé más Java en mi canal: https://www.youtube.com/c/CharlyCimino
 * Encontrá más código en mi repo de GitHub: https://github.com/CharlyCimino
 */
public class EjercicioIntegrador14 {
    
    static final int MIN = 3;
    static final char ESTRELLA = '*';

    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        int base, espaciosIniciales;
        
        System.out.print("Ingresá la base (impar mayor a " + MIN + "): ");
        base = Integer.parseInt(input.nextLine());
        
        while ( !(base % 2 != 0 && base >= MIN) ) {
            System.out.print("ERROR. Ingresá la base (impar mayor a " + MIN + "): ");
            base = Integer.parseInt(input.nextLine());
        }
        
        espaciosIniciales = base / 2; // División entera
        
        for (int contCaracteres = 1; contCaracteres <= base; contCaracteres += 2) {
            // Imprimir los espacios
            for (int i = 1; i <= espaciosIniciales; i++) {
                System.out.print(" ");
            }
            // Imprimir las estrellas
            for (int i = 1; i <= contCaracteres; i++) {
                System.out.print(ESTRELLA);
            }
            espaciosIniciales--;
            System.out.println(); // Próximo renglón
        }
        
    }

}
